POST
/detector/{detectorId}/master
http://guardduty.{region}.amazonaws.com/detector/{detectorId}/masterAccepts the invitation to be monitored by a GuardDuty administrator account.
Access Token Required: API Key
Path Parameters
detectorIdstringrequired
The unique ID of the detector of the GuardDuty member account.
Body Params
masterIdstringrequired
The account ID of the GuardDuty administrator account whose invitation you're accepting.
invitationIdstringrequired
The value that is used to validate the administrator account to the member account.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/master' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}